Bug 1015685 (CVE-2013-4402) - CVE-2013-4402 GnuPG: infinite recursion in the compressed packet parser DoS
Summary: CVE-2013-4402 GnuPG: infinite recursion in the compressed packet parser DoS
Status: NEW
Alias: CVE-2013-4402
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131005,repor...
Keywords: Security
Depends On: 1015736 1015737 1015738 1015739 1015740 1015741 1015743 1015967 1015968 1015969
Blocks: 1015687
TreeView+ depends on / blocked
 
Reported: 2013-10-04 20:49 UTC by Kurt Seifried
Modified: 2018-12-04 15:59 UTC (History)
5 users (show)

Fixed In Version: gnupg 1.4.15, gnupg 2.0.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1458 normal SHIPPED_LIVE Moderate: gnupg security update 2013-10-24 19:22:57 UTC
Red Hat Product Errata RHSA-2013:1459 normal SHIPPED_LIVE Moderate: gnupg2 security update 2013-10-24 19:22:46 UTC

Description Kurt Seifried 2013-10-04 20:49:32 UTC
Werner Koch reports:

We are pleased to announce the availability of a new stable GnuPG-2
release: Version 2.0.22.  This is a *security fix* release and all
users are advised to updated to this version.  See below for the
impact of the problem.

What's New in 2.0.22
====================

 * Fixed possible infinite recursion in the compressed packet
   parser. [CVE-2013-4402]

Impact of the security problem
==============================

Special crafted input data may be used to cause a denial of service
against GPG (GnuPG's OpenPGP part) and some other OpenPGP
implementations.  All systems using GPG to process incoming data are
affected.

Taylor R Campbell invented a neat trick to generate OpenPGP packages
to force GPG to recursively parse certain parts of OpenPGP messages ad
infinitum.  As a workaround a tight "ulimit -v" setting may be used to
mitigate the problem.  Sample input data to trigger this problem has
not yet been seen in the wild.  Details of the attack will eventually
be published by its inventor.

A fixed release of the GnuPG 1.4 series will be releases soon.

Comment 2 Kurt Seifried 2013-10-04 21:01:03 UTC
Acknowledgements:

Red Hat would like to thank Werner Koch for reporting this issue. Upstream acknowledges Taylor R Campbell as the original reporter.

Comment 7 Huzaifa S. Sidhpurwala 2013-10-07 07:06:16 UTC
Public via:

http://lists.gnupg.org/pipermail/gnupg-announce/2013q4/000334.html

Comment 9 Huzaifa S. Sidhpurwala 2013-10-07 07:09:35 UTC
Created gnupg2 tracking bugs for this issue:

Affects: fedora-all [bug 1015968]
Affects: epel-5 [bug 1015969]

Comment 10 Huzaifa S. Sidhpurwala 2013-10-07 07:09:48 UTC
Created gnupg tracking bugs for this issue:

Affects: fedora-all [bug 1015967]

Comment 11 Huzaifa S. Sidhpurwala 2013-10-07 07:15:02 UTC
Also note the following announcement for gnupg2:

http://lists.gnupg.org/pipermail/gnupg-announce/2013q4/000333.html

Comment 16 Fedora Update System 2013-10-10 14:48:09 UTC
gnupg-1.4.15-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Tomas Hoger 2013-10-10 19:25:46 UTC
Write up from the original reporter can be found in:

http://mumble.net/~campbell/blag.txt
http://thread.gmane.org/gmane.comp.security.oss.general/11247 (copy of the relevant parts)

Comment 18 Fedora Update System 2013-10-12 00:02:58 UTC
gnupg-1.4.15-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-10-13 19:50:57 UTC
gnupg2-2.0.22-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-10-14 07:04:19 UTC
gnupg2-2.0.22-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-10-14 17:19:10 UTC
gnupg2-2.0.22-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 errata-xmlrpc 2013-10-24 15:25:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1459 https://rhn.redhat.com/errata/RHSA-2013-1459.html

Comment 23 errata-xmlrpc 2013-10-24 15:27:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1458 https://rhn.redhat.com/errata/RHSA-2013-1458.html

Comment 24 Fedora Update System 2013-10-26 00:55:42 UTC
gnupg2-2.0.22-1.fc18, libgpg-error-1.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2013-11-13 02:26:21 UTC
gnupg-1.4.15-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.